/**
 * Data model pour les artefacts
 */
export default class ArtefactDataModel extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    return {
      description: new fields.HTMLField({ initial: "" }),
      prixpo: new fields.NumberField({ initial: 0, integer: true }),
      prixca: new fields.NumberField({ initial: 0, integer: true }),
      prixsc: new fields.NumberField({ initial: 0, integer: true }),
      rarete: new fields.NumberField({ initial: 0, integer: true }),
      quantite: new fields.NumberField({ initial: 1, integer: true }),
      equipped: new fields.BooleanField({ initial: false }),
      complexite: new fields.NumberField({ initial: 0, integer: true }),
      branche: new fields.StringField({ initial: "" }),
      branche2: new fields.StringField({ initial: "none" }),
      dureerealisation: new fields.StringField({ initial: "" }),
      tempsroute: new fields.StringField({ initial: "" }),
      effetdejeu: new fields.StringField({ initial: "" }),
      defautcourant: new fields.StringField({ initial: "" }),
      autrescarac: new fields.StringField({ initial: "" }),
      avantagespossibles: new fields.StringField({ initial: "" }),
      avantages: new fields.StringField({ initial: "" }),
      competences: new fields.StringField({ initial: "" })
    };
  }
}
